mqc_dec.cpp File Reference
`#include "t1_common.h"`
`#include <assert.h>`

## Namespaces

namespace | grk
| Copyright (C) 2016-2023 Grok Image Compression Inc.

## Functions

static void | grk::mqc_init_dec_common (mqcoder *mqc, uint8_t *bp, uint32_t len)
void | grk::mqc_init_dec (mqcoder *mqc, uint8_t *bp, uint32_t len)
| Initialize the decoder for MQ decoding.
void | grk::mqc_raw_init_dec (mqcoder *mqc, uint8_t *bp, uint32_t len)
| Initialize the decoder for RAW decoding.
void | grk::mqc_finish_dec (mqcoder *mqc)
| Terminate RAW/MQC decoding.
void | grk::mqc_resetstates (mqcoder *mqc)

## Variables

static const mqc_state | grk::mqc_states [47 *2]